columns:
  code_original:
    type: text
  date_commande:
    type: date
  date_engagement:
    type: date
  date_livraison_prevue:
    type: date
  date_reception:
    type: date
  etat_liquidation:
    type: character(1)
    default: "'0'::bpchar"
  etat_reception:
    type: character(1)
    default: "'0'::bpchar"
  fournisseur_distributeur_id:
    type: bigint
    default: "0"
  fournisseur_id:
    type: bigint
    default: "0"
  gestionnaire_id:
    type: bigint
    default: "0"
  lieu_commande_id:
    type: bigint
    default: "0"
  lieu_facturation_id:
    type: bigint
    default: "0"
  lieu_livraison_id:
    type: bigint
    default: "0"
  montant_commande_ht:
    type: numeric
    default: "0"
  montant_commande_port:
    type: numeric
    default: "0"
  montant_commande_remise:
    type: numeric
    default: "0"
  montant_commande_total:
    type: numeric
    default: "0"
  montant_commande_tva:
    type: numeric
    default: "0"
  montant_liquidation_ht:
    type: numeric
    default: "0"
  montant_liquidation_port:
    type: numeric
    default: "0"
  montant_liquidation_remise:
    type: numeric
    default: "0"
  montant_liquidation_total:
    type: numeric
    default: "0"
  montant_liquidation_tva:
    type: numeric
    default: "0"
  numero:
    type: character varying(255)
    default: "''::character varying"
  objet:
    type: text
  oid:
    type: bigint
    not_null: NOT NULL
    default: "nextval('s_commandes'::regclass)"
  provider_id:
    type: bigint
    default: "0"
  reference:
    type: character varying(255)
  site_id:
    type: bigint
    default: "0"
  unite_fonctionnelle_id:
    type: bigint
    default: "0"
constraints:
  p_commandes_pkey:
    type: PRIMARY KEY
    column: oid
  p_commandes_ukey:
    type: UNIQUE
    column: code_original
indexes:
  i_commandes_1:
    column: date_commande
    method: btree
  i_commandes_2:
    column: gestionnaire_id
    method: btree
  i_commandes_3:
    column: fournisseur_id
    method: btree
  i_commandes_4:
    column: lieu_facturation_id
    method: btree
  i_commandes_5:
    column: lieu_livraison_id
    method: btree
  i_commandes_6:
    column: lieu_commande_id
    method: btree
  i_commandes_7:
    column: unite_fonctionnelle_id
    method: btree
  i_commandes_8:
    column: provider_id
    method: btree
  i_commandes_9:
    column: date_engagement
    method: btree